PUT
v1.0.0stableReorder source apps
Reorder source apps. Manage only sources owned by this token on the current tenant.
PUT
/api/appstore/manage/sources/:source_id/apps/orderAuth:Bearer Token
Limite:30/minute
Richiesta parametri
Tutti i parametri possono essere passati tramite Query o Body
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
source_id | string | Obbligo | Source ID owned by this user on the current site Esempio: 12345678 |
app_ids | array | Obbligo | Ordered array of app IDs (1–200 items) Esempio: [1,2] |
Risposta
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
code | integer | Obbligo | 1 indicates success; otherwise a token, validation or source error code Esempio: 1 |
msg | string | Obbligo | Localized result message Esempio: 获取成功 |
time | integer | Obbligo | Unix timestamp in seconds |
data | object | Obbligo | Allowlisted fields visible to the source owner |
Esempio di risposta
{}
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{}
"app_ids":
[]
1,
2
Codici di errore
Codici di errore4 definito
10Invalid token
Token is invalid or rotated; HTTP 401
11Token expired
Token has expired; HTTP 401
40001Source not found
Source is missing or not owned by this user/tenant; HTTP 404
Lingua di risposta
Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.
Intestazione consigliata
X-Lang: itLingue supportate
zh, en, zh-TW, vi, ar, es, ruAccetta-Language è anche supportato; X-Lang prende la priorità.
Esempi di codice
curl -X PUT "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/order" \
-H "X-Lang: it" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"app_ids": [
1,
2
]
}'Note
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
Provalo in Console
Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.
PUT
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/orderBloccato a questo sitostringObbligo
Source ID owned by this user on the current site
arrayObbligo
Ordered array of app IDs (1–200 items)